Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1951 (new defect)

Opened 10 years ago

Last modified 10 years ago

Thinkpad R51e with AR5212 and Mandriva 2008 & 2008.1 connection drops randomly without errors

Reported by: xn0mad@hotma1l.cm Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: v0.9.3.3
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I'm using a Thinkpad R51e with AR5212. The problems first occurred with Mandriva 2008 and still persist with 2008.1 (spring). This problem also appears to occur with Fedora 9. This problem doesn't occur with mandrake 2007.1 and older.

Mandrake 2008.1 installs the following packages automatically when joining a network over wireless for the first time:

dkms-madwifi-0.9.3.3-5.r3114mdv2008.1 madwifi-kernel-laptop-latest-0.9.3.3-1.20080403.5.r3114mdv2008.1 madwifi-kernel-2.6.24.4-laptop-1mnb-0.9.3.3-5.r3114mdv2008.1 madwifi-0.9.3.3-5.r3114mdv2008.1

The current stock kernel on the install is: 2.6.24.4-laptop-1mnb

The wireless connection to my AP at home or any AP at work just drops out after a while, sometimes an hour sometimes 20 minutes. No nodes are pingable except for the local interface address. When I refresh the list of AP's none appear. If I cycle the network with 'service network restart' the link is still down. There is nothing in syslog to show that an error has occurred. I've tried to rmmod ath_pci and then reload the interface but this does nothing.

The only solution is to reboot the machine. This happens randomly and there is nothing in the logs anywhere near the time this happens. For instance it happend 10 minutes ago at 21:50 and the last entry in my syslog was at 21:20 which was a cron entry.

Change History

(in reply to: ↑ description ) 05/24/08 19:21:38 changed by Bill Wohler <wohler@newt.com>

I have the same problem here.

My wireless connections drops within several hours when I'm using madwifi version 1:0.9.4~rc2-1 on Linux kernel versions 2.6.24-6 and 2.6.25-3. I'm running Debian lenny.

When I run version 1:0.9.3.2-2 on Linux kernel version 2.6.22-6, the connection will stay up indefinitely.

I see there's a variable I can eliminate: let me go recompile madwfi 0.9.4 on 2.6.22 and report back in a day or two. On the other hand, I'm not optimistic since the OP was using 0.9.3 and that dropped the connection too so it would speak to a kernel change in 2.6.24 that madwifi needs to address. In the meantime, if someone could suggest (easy) debugging techniques that would help you folks, please let us know.

To the original poster: you don't have to reboot, just run "ifdown ath0; ifup ath0" (translated to Mandriva). Or switch to a pre-2.6.24 kernel.

05/24/08 19:25:58 changed by Bill Wohler <wohler@newt.com>

By the way, I'm using a ThinkPad? T40p, and here is relevant info from dmesg:

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)

ath_pci: 0.9.4.5 (0.9.3.2)

ath_rate_sample: 1.2 (0.9.3.2)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: H/W encryption support: WEP AES
wifi0: mac 4.2 phy 3.0 5 GHz radio 1.7 2 GHz radio 2.3
wifi0: Use hw queue 0 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 0 for WME_AC_VI traffic
wifi0: Use hw queue 0 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5211: mem=0xc0210000, irq=11

ath0: no IPv6 routers present

(follow-up: ↓ 4 ) 05/24/08 20:47:05 changed by Bill wohler <wohler@newt.com>

It appears that 0.9.4 is incompatible with 2.6.22. modprobe failed to load the module and dmesg showed lots of errors like the following (using proper code blocks this time :-):

ath_pci: disagrees about version of symbol ieee80211_encap
ath_pci: Unknown symbol ieee80211_encap

(in reply to: ↑ 3 ; follow-up: ↓ 6 ) 05/26/08 07:32:34 changed by mrenzmann

Replying to Bill wohler <wohler@newt.com>:

It appears that 0.9.4 is incompatible with 2.6.22.

It is not. Please contact our regular support channels to get help for resolving your issue (at least the one related to the messages you've quoted).

(in reply to: ↑ description ) 05/26/08 07:34:39 changed by mrenzmann

  • priority changed from critical to major.

Replying to xn0mad@hotma1l.cm:

I'm using a Thinkpad R51e with AR5212. The problems first occurred with Mandriva 2008 and still persist with 2008.1 (spring). This problem also appears to occur with Fedora 9. This problem doesn't occur with mandrake 2007.1 and older.

You're reporting a problem for an old version of MadWifi. You should at least test the latest stable release (v0.9.4 as of now) to see whether your issue has been fixed there. If that does not help, please see whether a recent snapshot of trunk works better.

(in reply to: ↑ 4 ) 05/26/08 19:19:32 changed by Bill Wohler <wohler@newt.com>

Replying to mrenzmann:

Replying to Bill wohler <wohler@newt.com>:

It appears that 0.9.4 is incompatible with 2.6.22.

It is not. Please contact our regular support channels to get help for resolving your issue (at least the one related to the messages you've quoted).

Thank you for that information. I'll do that.

The Debian madwifi maintainer has just informed me that ath5k has been packaged with Debian's 2.6.25 stock kernel; I suspect you might encourage me to go that route if it works for me.

07/01/08 03:58:37 changed by mah@cs.umd.edu

I'm not sure it's a problem with the kernel itself. I am using multiple computers with the madwifi driver, compiled from source.

Kernel 2.6.25 Trunk revision 3746 Exhibits stability problems, as described above.

Kernel 2.6.22 Trunk revision 3745 Exhibits stability problems, as described above.

Kernel 2.6.22 Trunk revision 3316 Runs stably (relatively so).

I find that "ifconfig ath? down; ifconfig ath? up" does not give a functioning interface, but a reboot is needed.

On machines with the stability problem, pinging an AP sometimes gives very long round trip times ~1000 ms, versus the more normal ~1 ms.

Can someone indicate what kind of debugging information I should be looking for? The kernel message buffer (dmesg) does not show anything useful.

07/02/08 07:30:47 changed by xn0mad@hotma1l.cm:

Hi I'm the original poster.

I have now tried the following distros on my laptop:

Mandriva 2008 Mandriva 2008.1 (spring) Ubuntu Hardy Heron Kubuntu Hardy Heron Fedora 9

every time with the latest drivers from this website.

And today I just tried:

openSUSE 11.0

With the latest rpm from the madwifi website (featured in the news on the front page) and guess what? Same problem. This is with madwifi-0.9.4-1.i586.rpm

As usual my laptop is still running the old Mandriva 2007.1 (spring) with never any problems, (it's on 24 hours a day almost)

The driver on the Mandriva 2007.1 is madwifi-0.9.2-1

I have tried to install this driver on the newer distros but there are compatibility issues with gcc and such. Which is a shame as it probably would work.

07/02/08 07:39:39 changed by xn0mad@hotma1l.cm:

Also may I add that doing an ifup and ifdown on ath0 does not fix it, that is what I meant in my original post by "cycling the network" I have had this problem for more than a year (even since Mandriva 2008 replace 2007.1) and I each time I tried a different distro I used the latest driver from this website.

openSUSE 11.0 came with ath5k but this wouldn't even connect with any AP. When I installed the madwifi from this website it worked but dropped out again after an hour.

I'm stuck to using old distros without the functionality I require, rolling my own kernels and building everything from source is too time consuming and messes up the package management.

Obviously something happened in a kernel upgrade or the driver upgrade.